> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/publication/publication-template.md).

# Publication template

Design the layout and format of your publications.

### View publication templates

All publication templates are shown in the overview on the publication template page.

### Find publication template

1. Click column header for Uid, Name or External Ref.
2. Type value to search for.

### Add new publication template

1. Click "+ Create publication template".
2. Set Name and [additional details](/reference/publication/publication-template/publication-template-details.md).
3. Click "Create".

### Edit publication template

1. Hover your cursor over the publication template you want to edit.
2. Click the <i class="fa-pen">:pen:</i>-icon to edit the template.
3. Click save.

### Open designer for publication template

1. Hover your cursor over the publication template you want to design.
2. Click the <i class="fa-eye">:eye:</i>-icon to go to the designer.

### Delete publication template

1. Hover your cursor over the publication template you want to delete.
2. Click the <i class="fa-trash-can">:trash-can:</i>-icon to delete the template.
3. Click "Yes, I'm sure" in the pop-up window.

### Swap to table view

Click the "Table"-icon or use the shortcut <kbd>CTRL+SHIFT+H</kbd>.

### Swap to grid view

Click the "Grid"-icon or use the keyboard shortcut <kbd>CTRL+SHIFT+G</kbd>.

### Export publication template

1. Hover your cursor over the publication template you want to export.
2. Click the "Export"-icon.

### Import publication template

1. Click "Import publication template".
2. Select file from file explorer.
3. Click "Open".

### Manage columns

1. Click "Manage columns"-icon or use the keyboard shortcut ctrl+shift+c
2. Manage columns
3. Click "Update columns"


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/reference/publication/publication-template.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
